SLA Coverage Groups API
- List SLA coverage groups
- Get a single SLA coverage group
- Create a SLA coverage group
- Update a SLA coverage group
- Fields
List SLA coverage groups
Section titled “List SLA coverage groups”List all SLA coverage groups for an account:
GET /sla_coverage_groupsResponse
Section titled “Response”Status: 200 OK[ { "created_at": "2023-11-17T02:37:24-06:00", "description": null, "disabled": false, "id": 2, "name": "Beatrice", "search_phrase": null, "source": "R-Service", "sourceID": null, "updated_at": "2023-11-17T02:37:24-06:00", "nodeID": "..." }, { "created_at": "2023-11-17T02:41:10-06:00", "description": null, "disabled": false, "id": 3, "name": "Finance", "search_phrase": "Finance", "source": "R-Service", "sourceID": null, "updated_at": "2023-11-17T02:41:10-06:00", "nodeID": "..." }, "..."]The response contains these fields by default. Filtering and pagination are available to reduce/limit the collection of SLA coverage groups.
Predefined Filters
Section titled “Predefined Filters”The following predefined filters are available:
/sla_coverage_groups/enabled: List all SLA coverage groups that are enabled/sla_coverage_groups/disabled: List all SLA coverage groups that are disabled
Collection Fields
Section titled “Collection Fields”By default the following fields will appear in collections of SLA coverage groups:
id
sourceID
created_at
updated_at
Obtain a different set of fields using the ?fields= parameter .
Filtering
Section titled “Filtering”Filtering is available for the following fields :
id
source
sourceID
created_at
updated_at
Sorting
Section titled “Sorting”By default a collection of SLA coverage groups is sorted
ascending
by
created_at
.
The following fields are accepted by the ?sort= parameter :
id
sourceID
created_at
updated_at
Get a single SLA coverage group
Section titled “Get a single SLA coverage group”GET /sla_coverage_groups/:idResponse
Section titled “Response”Status: 200 OK{ "created_at": "2023-11-17T02:37:24-06:00", "description": null, "disabled": false, "id": 2, "name": "Beatrice", "search_phrase": null, "source": "R-Service", "sourceID": null, "updated_at": "2023-11-17T02:37:24-06:00", "nodeID": "..."}The response contains these fields .
Create a SLA coverage group
Section titled “Create a SLA coverage group”POST /sla_coverage_groupsWhen creating a new SLA coverage group these fields are available.
Response
Section titled “Response”Status: 201 Created{ "created_at": "...", "...": "..."}The response contains all fields of the created SLA coverage group and is similar to the response in Get a single SLA coverage group
Update a SLA coverage group
Section titled “Update a SLA coverage group”PATCH /sla_coverage_groups/:idWhen updating a SLA coverage group these fields are available.
Response
Section titled “Response”Status: 200 OK{ "created_at": "...", "...": "..."}The response contains all fields of the updated SLA coverage group and is similar to the response in Get a single SLA coverage group
Fields
Section titled “Fields”created_at
Readonly datetime — The date and time at which the SLA coverage group was created.
description
Optional text (max 64KB) — The Description field is used to add any additional information about the SLA coverage group that might prove useful.
description_attachments
Writeonly attachments The inline attachments used in the Description field.
id
Readonly integer — The unique ID of the SLA coverage group.
name
Required string (max 80) — The Name field is used to enter the name of the SLA coverage group.
search_phrase
Optional string (max 255) - The search phrase used to filter the people.
source
Optional string (max 30) - See source
sourceID
Optional string (max 128) - See source
updated_at
Readonly
datetime
— The date and time of the last update of the SLA coverage group. If the SLA coverage group has no updates it contains the
created_at
value.